<?php
/**
 * Plugin Qcm (addon for plugin Adm_redacteurs)
 * Version  : 1.5 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00 et Adm_redacteurs v6.14+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

$ADMR_lang = array(
    'plugin_name' => 'plugin Qcm',
    'infos_qcm_version_%s' => 'Qcm v%s (compatible Guppy v5.x et v6.x et Adm_redacteurs v6.14+)',
    'qcm' => 'qcm',
    'add_qcm' => 'ajouter un qcm',
    'manage_qcm' => 'gérer les qcm',
    'infos_page_manage_qcm' => 'Bienvenue dans votre zone d\'administration des documents du plugin.
                             <ul>
                                <li>
                                    Pour (dés)activer ou supprimer un document, vous devez :
                                    <ol>
                                        <li>cocher les cases à coté des id des qcm sélectionnés</li>
                                        <li>ensuite, sélectionner l\'option du menu</li>
                                        <li>cliquer sur le bouton "Exécuter l\'action sélectionnée..."</li>
                                    </ol>
                                </li>
                                <li>Pour éditer un document, cliquer sur l\'icone <img src="'.ADMR_IMG_EDIT.'" />.</li>
                             </ul>    
    ',
    'search_qcm' => 'rechercher des qcm',
    'select_qcm_to_search' => 'sélectionner les qcm à rechercher',
    'search_all_qcm' => 'rechercher tous les qcm',   
    'search_following_qcm' => 'rechercher les qcm suivants',
    'search_qcm_in_following_writers' => 'rechercher les qcm appartenant aux rédacteurs suivants',
    'manage_qcm_docs_created_by_writer_%s' => 'gérer les documents du plugin Qcm du rédacteur &quot;%s&quot;',
    'qcm_title' => 'titre du qcm',
    'qcm_description' => 'description du qcm',
    'write_qcm_description' => 'rédigez la description du qcm',

    'selection_of_qcm' => 'sélection du qcm',
    'select_qcm' => 'sélectionner le qcm',
    'display_nav_bar' => 'affichage d\'une barre de navigation',
    'display_link_for_previous_page' => 'affichage du lien pour la page précédente',
    'display_link_for_next_page' => 'affichage du lien pour la page suivante',
    'label_for_previous_page' => 'intitulé du lien pour la page précédente',
    'label_for_next_page' => 'intitulé du lien pour la page suivante',
    'uri_for_previous_page' => 'url du lien pour la page précédente',
    'uri_for_next_page' => 'url du lien pour la page suivante',
    'display_author' => 'affichage du nom de l\'auteur',
    'display_create_date' => 'affichage de la date de création',
    'display_modif_date' => 'affichage de la date de modification',
    'display_nb_views' => 'affichage du nombre de vues',

    'qcm_options' => 'options du qcm',
    'manage_answers_choice_for_questions' => 'Gérer le choix des réponses aux questions',
    'manage_display_questions' => 'gérer l\'affichage des questions',
    'select_answers_choice' => 'sélectionner le choix des réponses',
    'answers_choice_by_question' => 'choix selon la question',
    'answers_choice_unique' => 'choix unique',
    'answers_choice_multiple' => 'choix multiples',
    'display_questions_in_same_page' => 'afficher toutes les questions sur la même page',
    'display_questions_randomly' => 'afficher les questions aléatoirement',

    'contents_before_qcm' => 'contenu avant le qcm',
    'contents_after_qcm' => 'contenu affiché après le qcm',
    'write_contents_before_qcm' => 'rédigez le contenu affiché avant le qcm',
    'write_contents_after_qcm' => 'rédigez le contenu affiché après le qcm',
    
    'menuitems_linked_to_qcm' => 'items de menus associés aux qcm',
    'manage_qcm_menuitems' => 'gérer les items de menu des qcm',
    'add_qcm_menuitems' => 'ajouter un item de menu',
    'manage_all_menu_items_for_document' => 'gérer tous les items de menu associés au document',
    'add_menu_item_for_document' => 'ajouter un item de menu associé au document',
    
    'manage_qcm_deleted' => 'gérer les qcm supprimés',
    'reset_counter_of_docs_selected' => 'Remettre à zéro les compteurs de vues des documents sélectionnés',
    'control_of_integrity_of_qcm_data' => 'contrôle d\'intégrité des données des qcm',
    'control_of_integrity_of_qcm_menuitems' => 'contrôle d\'intégrité des données des items de menu des qcm',
    
    'browser_not_understand_iframe.Please_follow_this_link_to_display_file_contents' => 'Votre navigateur ne supporte pas les iframes. Veuillez cliquer sur le lien suivant pour afficher le contenu du fichier',
    'qcm_is_compatible_only_with_adm_redacteurs_version_greater_than_%s' => 'Le module qcm est compatible uniquement avec les versions du plugin Adm_redacteurs > %s',
    
    'qcm_to_manage' => 'qcm à gérer',
    'select_qcm_to_manage' => 'sélectionner le qcm à gérer',
    'access_all_qcm' => 'accès à tous les qcms',
    'access_only_writer_qcm' => 'accès uniquement aux qcms crées par le rédacteur',
    'access_following_qcm' => 'accès aux qcms suivants',
    

    'qcm_questions' => 'questions des qcms',
    'add_qcm_questions' => 'ajouter une question à un qcm',    
    'manage_qcm_questions' => 'gérer les questions des qcm',
    'manage_qcm_questions_deleted' => 'gérer les questions supprimées du qcm',
    'infos_page_manage_qcm_questions' => 'Bienvenue dans votre zone d\'administration des questions du qcm.
                             <ul>
                                <li>
                                    Pour (dés)activer ou supprimer une question, vous devez :
                                    <ol>
                                        <li>cocher les cases à coté des id des questions sélectionnés</li>
                                        <li>ensuite, sélectionner l\'option du menu</li>
                                        <li>cliquer sur le bouton "Exécuter l\'action sélectionnée..."</li>
                                    </ol>
                                </li>
                                <li>Pour éditer une question, cliquer sur l\'icone <img src="'.ADMR_IMG_EDIT.'" />.</li>
                             </ul>    
    ',
    'answers' => 'réponses',
    'answer' => 'réponse',
    'correct_answer' => 'réponse correcte',
    
    'form_errors_msg' => array(
        'please_select_qcm' => 'veuillez sélectionner un qcm',
        'please_check_an_answer' => 'veuillez cocher une réponse',
        'value_is_not_integer' => 'la valeur doit être un nombre',
        'non_zero_number_is_required' => 'Vous devez indiquer un nombre non nul',
    ),
    'order' => 'Ordonner',
    'question_n°' => 'question n°',
    'no_qcm_questions' => 'Pas de questions définies pour le qcm',
    
    'return_to_previous_question' => 'retourner  à la question précédente',
    'valid_and_go_to_next_question' => 'valider et passer à la question suivante',
    'please_check_an_answer' => 'veuillez cocher une réponse',
    'valid_and_submit_qcm_answers' => 'valider et soumettre les réponses au qcm',
    'restart_qcm' => 'recommencer le qcm',
    'answer_is_correct' => 'la réponse est correcte',
    'answer_is_false' => 'la réponse est fausse',   
    'question_%d' => 'question %d',
    'qcm_results' => 'résultats du qcm',
    'you_have_not_filled_the_qcm_correctly' => 'vous n\'avez pas rempli correctement le qcm.',
    'please_correct_errors_and_revalidate' => 'veuillez corriger les erreurs et revalider.',
    'you_have_%d_correct_answers_and_%d_false_answers' => 'vous avez %d réponse(s) correcte(s) et %d réponse(s) fausse(s).',
        
);